BIA Bugs - Feature #3583

appraisal ID pada master data appraisal name (CHRPA0048) bisa diedit, karena pada saat di action
add itu bisa di search lookup employeeid.

04/28/2025 09:22 AM - Muhammad Bintar

Status: QA Test Start date: 04/28/2025
Priority: Urgent Due date: 04/30/2025
Assignee: Muhammad Bintar % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 2.00 hours

Description

dear tim developer mohon supportnya untuk appraisal ID pada master data appraisal name (CHRPA0048) bisa diedit, karena pada
saat di action add itu bisa di search lookup employeeid.
Employee Master Data

HOME > EMPLOYEE MASTER DATH

@ My Workplace Employee Overview - 06120011 - Wawan Robianio

Employee 1D 08120011 Company ID: PT Bio Infi Agrindo.
M Organization Management Full Name: Wawan Robianto Employee Office: Head Office
Employee Status: Active Organization UMUM JAKARTA
e —— Employee Type: Parmanent Position DRIVER
Import Employee Data
P Grievance Reward Language Skill Skill Performance Histo  Date Specification  Employee Remind:  Secondary Job File Data
Delets Employes Data
Mass File Import Start Date: 01/01/2025
B Employee Report End Date: 3111212025
Employee Master Data Code: 01 Jan - 31 Des 2025
Temporary Appraiser No.: Appraiser 1

Master Data Approval #1 | Appraisal 1D 22012627 |

Master Data Approval #2

PRTITT Ty Direct Superviser 1

O e = | = | RS
W Benefit Administration

B Travel Management

W Payroll Administration

W Payroll Accounting

kalau di action add itu bisa di search lookup

= MyWorkplace  HumanResource  System Administration Search Q I Minovsis -

e ] Employee Master Data

@ My Workplace

Employee ID: 06120011 Company ID PT Bic Infi Agrindo

W Organization Management Full Name: Wawan Robianto Employee Office: Head Office

Employee Status: Active Lookup - AppraisalD

Employee Type: Permanent
S p—
External 1DV : 5
T Emp ID/ External 1D/ Full Name:
EriErin—tn Err R ekl Employee... | Emp Code SAP Full Name Company ID Employes Ar.. | Empl™
Delete Employee Data 06120011 Wawan Robianto PT Bic Infi Agrindo  Jakaria He &
Mass File import Start Date: 07080012 Ristiyani PT Bio Inti Agrinds  Jakarta He
[ —— End Date: 08030014 Sutrisno PT Bio Inti Agrinde  Jakarta He
S Code: 08060012 Edison Panjaitan PT Bic Inti Agrindo  Jakaria He
— Appraiser No. 10120015 R. GK. Handari,5H PT Bic Infi Agrinde  Jakaria He
11010015 Waliyo PT Bic Inti Agrindo  Jakaria He
Master Data Approval #1 Appraisal ID D
11010018 Kartika Dewi PT Bio Inti Agrindo  Jakarta He
Master Data Approval #2
11020017 Dina Kemarizh PT Bio Inti Agrindo  Jakarta He
W Time Management 11050005 Kim Dong Ho PT Bio Inti Agrinde  Jakarta Ex I
B Benefit Administration 11050018 O0/DOEGID511/48 Imnam Muroji PT Bio Inti Agrinds  Merauke Es
B Travel Management 11080020 ONO0BCIDS1144  Supriyono PT Bio Inti Agrindo~ Merauke B
W Payroll Administration 11080021 Fumama Sari Septa'Wijaya  PT Bio Inti Agrinde  Jakarta He
W Payroll Accounting 11060022 ONOOEBMB1/3ET  Imam Syafil PT Bic Infi Agrindo  Merauke Es
11060022 00/00MZ/0811/120  Rommy J. Pangemanan PT Bic Infi Agrindo ~ Merauke M
Akses db: 192.168.3.105\MSSQLSERVER2022
Pass DB: nya MINOV@1s

Nama DB : MinovaES_BIA BaseServerCloud
Port : http://remote.minovais.com:61139/

History

#1 - 04/28/2025 03:38 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 04/29/2025 10:21 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , issue ini terjadi karena readonly nah ketentuan readonly ini bukan settingan di sdatatable field tapi logic dari Ul yang primarykey maka
jika actionnya edit yang primarykey default readonly , cara menyelesaikan issue ini yaitu gausah di primarykey yang bisa di edit2

packagenya :
ubah jangan di primarykey tablefisik & sdatatablefield
daftarin di mdcon

note : ini untuk table custom tapi kalau table product harus diskusi dulu

makasih

Files

clipboard-202504280919-grb55.png 109 KB 04/28/2025 Muhammad Bintar
clipboard-202504280921-7jmrb.png 117 KB 04/28/2025 Muhammad Bintar
